
Infrastructure - Story #6476

Fix the bug on CN.delete and MN.delete

2014-09-24 18:10 - Jing Tao

Status: Closed Start date: 2014-09-19

Priority: Normal Due date: 2014-12-16

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Story Points:    

Description

Those delete method didn't remove the records in the systemmetadata.

They also have issue to remove solr index for resource map files.

Subtasks:

Task # 6402: Can't delete the system metadata for data files in cn Closed

Related issues:

Related to Infrastructure - Story #3660: Deleting objects will lead to unreso... Closed 2014-10-01 2014-12-16

History

#1 - 2014-09-24 18:13 - Jing Tao

- Target version changed from CCI-1.4.1 to CCI-1.5.0

Change the target version from 1.4.1 to 1.5.0.

#2 - 2014-10-01 22:16 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2014-10-01

- Tracker changed from Task to Story

#3 - 2014-10-16 18:39 - Jing Tao

Tests on MN was done.

Tests on CN: wait Skye to merge the change in DeleteTask from the trunk to the release branch. Then test the change on the sandbox env.

Also will discuss with Skye with the removal of system metadata.

#4 - 2014-10-16 18:40 - Jing Tao

- Status changed from New to In Progress

#5 - 2014-11-13 18:38 - Jing Tao

- Status changed from In Progress to Testing

- Due date changed from 2014-10-28 to 2014-11-13

#6 - 2014-11-16 06:12 - Jing Tao

MN.delete works fine in sandbox env. 

CN.delete works fine as well among the three cns in sandbox env. 

I haven't test to delete replicas from cn since now i can't create replicas right now.
#7 - 2014-12-16 16:46 - Jing Tao

- Due date changed from 2014-11-16 to 2014-12-16

- Status changed from Testing to Closed
